#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Guard
Summary:	Guard - safe cleanup blocks
Summary(pl.UTF-8):	Guard - bezpieczne czyszczenie bloków
Name:		perl-Guard
Version:	1.022
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/M/ML/MLEHMANN/%{pdir}-%{version}.tar.gz
# Source0-md5:	8d1d8b942fd5d0240f47906a6d6fac8c
URL:		http://search.cpan.org/dist/Guard/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements so-called "guards". A guard is something
(usually an object) that "guards" a resource, ensuring that it is
cleaned up when expected.

Specifically, this module supports two different types of guards:
guard objects, which execute a given code block when destroyed, and
scoped guards, which are tied to the scope exit.

%description -l pl.UTF-8
Moduł ten implementuje tzw. "strażników". Strażnik jest czymś (zwykle
obiektem), co strzeże zasobu, zapewniając jego usunięcie wtedy, kiedy
jest ono oczekiwane.

W szczegóności moduł ten obsługuje dwa rodzaje strażników:
- obiekty strażników, wykonujące dany blok kodu w trakcie niszczenia
- strażników zakresowych, powiązanych z zakończeniem zakresu (scope).

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING Changes
%{perl_vendorarch}/Guard.pm
%dir %{perl_vendorarch}/auto/Guard
%attr(755,root,root) %{perl_vendorarch}/auto/Guard/Guard.so
%{_mandir}/man3/Guard.3pm*
%changelog
* Wed Feb 04 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Guard.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 859b92e
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 17f23e5
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 19913b0
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 026471c
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> fe39478
- License is now known (same as perl)

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> 00d8f99
- up to 1.022

* Wed Mar 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 39282b8
- cleanup
- removed README (just a copy of man page)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b1ae951
- release 2

* Mon Sep 14 2009 amateja <amateja@pld-linux.org> 106af38
- updated to 1.021

* Wed Jun 17 2009 amateja <amateja@pld-linux.org> 5da1459
- updated Source0 URL

* Wed Jun 17 2009 amateja <amateja@pld-linux.org> 82cd5b1
- initial

